## xen 4.19.3

=== debian/changelog ===
xen (4.19.3-1+deb13u4.2) trixie; urgency=medium

  * Non-maintainer upload.
  * HEAD @ c0a1a4ccba6cffd1ec
    CI: Create initrd fragments explicitly as root-Wed 10 Sep 2025 09:20
  * XSA-472
    0014-x86-viridian-avoid-NULL-pointer-dereference-in-update.diff:This is CVE-2025-27466 / part of XSA-472.
    0015-x86-viridian-avoid-NULL-pointer-dereference-in-viridi.diff:This is CVE-2025-58142 / part of XSA-472.
    0016-x86-viridian-protect-concurrent-modification-of-the-r.diff:This is CVE-2025-58143 / part of XSA-472.
  * XSA-473
    0017-Arm-foreign-page-handling-in-p2m_get_page_from_gfn.diff:This is CVE-2025-58144 / part of XSA-473.
    0018-Arm-adjust-locking-in-p2m_get_page_from_gfn.diff:This is CVE-2025-58145 / part of XSA-473.

 -- Mark Pryor <pryorm09@gmail.com>  Thu, 25 Sep 2025 10:34:18 -0700

xen (4.19.3-1+deb13u4.1) trixie; urgency=medium

  * HEAD @ 077419f04a3125c58dc
    update Xen version to 4.19.3-Mon 4 Aug 2025 08:20
  * initial build 4.19.3

 -- Mark Pryor <pryorm09@gmail.com>  Sat, 09 Aug 2025 09:08:45 -0700

xen (4.19.2-1+deb13u4.2) trixie; urgency=medium

  * Non-maintainer upload.
  * HEAD @ b026848daf3cca7a4e1
    x86/idle: undo use of MONITOR/MWAIT mnemonics-Wed 9 Jul 2025 03:18
  * XSA-471
    0087-x86-ucode-Digests-for-TSA-microcode.diff:This is part of XSA-471 / CVE-2024-36350 / CVE-2024-36357.
    0088-x86-idle-Rearrange-VERW-and-MONITOR-in-mwait_idle_wit.diff:This is part of XSA-471 / CVE-2024-36350 / CVE-2024-36357.
    0089-x86-spec-ctrl-Mitigate-Transitive-Scheduler-Attacks.diff:This is part of XSA-471 / CVE-2024-36350 / CVE-2024-36357.
  * XSA-470
    0069-x86-emul-Fix-extable-registration-in-invoke_stub.diff:This is XSA-470 / CVE-2025-27465
  * XSA-469
    0048-x86-guest-Remove-use-of-the-Xen-hypercall_page.diff:This is part of XSA-469 / CVE-2024-28956
    0049-x86-thunk-Mis-align-__x86_indirect_thunk_-to-mitigate.diff:This is part of XSA-469 / CVE-2024-28956
    0050-x86-thunk-Mis-align-the-RETs-in-clear_bhb_loops-to-mi.diff:This is part of XSA-469 / CVE-2024-28956
    0051-x86-stubs-Introduce-place_ret-to-abstract-away-raw-0x.diff:This is part of XSA-469 / CVE-2024-28956
    0052-x86-thunk-Build-Xen-with-Return-Thunks.diff:This is part of XSA-469 / CVE-2024-28956
    0053-x86-spec-ctrl-Synthesise-ITS_NO-to-guests-on-unaffect.diff:This is part of XSA-469 / CVE-2024-28956
  * d/scripts: various repair plus fix py3 shebang
 
 -- Mark Pryor <pryorm09@gmail.com>  Sat, 19 Jul 2025 13:10:14 -0700

xen (4.19.2-1+deb13u4.1) trixie; urgency=medium

  * HEAD @ f3362182e028119e
    update Xen version to 4.19.2-Fri 4 Apr 2025 03:47
  * d/rules: libxenmisc4.19, all so must be versioned

 -- Mark Pryor <pryorm09@gmail.com>  Fri, 11 Apr 2025 11:56:51 -0700

xen (4.19.1-1+deb13u4.5) trixie; urgency=medium

  * Non-maintainer upload.
  * HEAD @ ce591a92ca50d2b88
    xen/arinc653: call xfree with local IRQ enabled-Thu 20 Mar 2025 05:21
  * rules: first target now is binary, add build-arch to it

 -- Mark Pryor <pryorm09@gmail.com>  Sat, 22 Mar 2025 14:41:45 -0700

xen (4.19.1-1+deb13u4.4) trixie; urgency=medium

  * HEAD @ f2c5b4b1aa1972b5
    IOMMU/x86: the bus-to-bridge lock needs to be acquired IRQ-safe-Thu 27 Feb 2025 04:59
  * XSA-467
    0035-IOMMU-x86-the-bus-to-bridge-lock-needs-to-be-acquired.diff:This is XSA-467 / CVE-2025-1713.
  * out of t64 transition, delta ported from bookworm
  * qemuu: v9.1.0
  * use time64 build options in rules.real

 -- Mark Pryor <pryorm09@gmail.com>  Fri, 07 Mar 2025 08:27:56 -0800

xen (4.19.1-1+deb13u3.2) trixie; urgency=medium

  * Non-maintainer upload.
  * HEAD @ 4803a3c5b5f1f131bd8
    xen/events: fix race with set_global_virq_handler()-Tue 21 Jan 2025 00:21

 -- Mark Pryor <pryorm09@gmail.com>  Wed, 05 Feb 2025 15:39:15 -0800

xen (4.19.1-1+deb13u3.1) trixie; urgency=medium

  * HEAD @ ccf400846780289ae779
    update Xen version to 4.19.1-Tue 3 Dec 2024 23:52
  * qemuu: v8.0.5
  * XSA-463
    0070-x86-HVM-drop-stdvga-s-cache-struct-member.diff:This is part of XSA-463 / CVE-2024-45818
    0071-x86-HVM-drop-stdvga-s-stdvga-struct-member.diff:This is part of XSA-463 / CVE-2024-45818
    0072-x86-HVM-remove-unused-MMIO-handling-code.diff:This is part of XSA-463 / CVE-2024-45818
    0073-x86-HVM-drop-stdvga-s-gr-struct-member.diff:This is part of XSA-463 / CVE-2024-45818
    0074-x86-HVM-drop-stdvga-s-sr-struct-member.diff:This is part of XSA-463 / CVE-2024-45818
    0075-x86-HVM-drop-stdvga-s-g-s-r_index-struct-members.diff:This is part of XSA-463 / CVE-2024-45818
    0076-x86-HVM-drop-stdvga-s-vram_page-struct-member.diff:This is part of XSA-463 / CVE-2024-45818
    0077-x86-HVM-drop-stdvga-s-lock-struct-member.diff:This is part of XSA-463 / CVE-2024-45818
  * XSA-464
    0079-libxl-Use-zero-ed-memory-for-PVH-acpi-tables.diff:This is XSA-464 / CVE-2024-45819.

 -- Mark Pryor <pryorm09@gmail.com>  Fri, 06 Dec 2024 12:45:08 -0800

xen (4.19.0-1+deb13u3.5) trixie; urgency=medium

  * Non-maintainer upload.
  * rebuilt with latest sources

 -- Mark Pryor <pryorm09@gmail.com>  Sat, 26 Oct 2024 11:28:38 -0700

xen (4.19.0-1+deb13u3.4) trixie; urgency=medium

  * Non-maintainer upload.
  * HEAD @ 2c61ab407172682e13
    xen/ucode: Fix buffer under-run when parsing AMD containers-Tue 24 Sep 2024 05:44
  * XSA-462
    0015-x86-vLAPIC-prevent-undue-recursion-of-vlapic_error.

 -- Mark Pryor <pryorm09@gmail.com>  Sun, 13 Oct 2024 10:03:02 -0700

xen (4.19.0-1+deb13u3.3) trixie; urgency=medium

  * Non-maintainer upload.
  * HEAD @ 0918434e0fbee48c9
    automation: use expect to run QEMU-Fri 16 Aug 2024 15:20
  * XSA-460
    0011-x86-IOMMU-move-tracking-in-iommu_identity_mapping.diff:This is XSA-460 / CVE-2024-31145.
  * XSA-461
    0012-x86-pass-through-documents-as-security-unsupported-wh.diff:This is XSA-461 / CVE-2024-31146

 -- Mark Pryor <pryorm09@gmail.com>  Sat, 24 Aug 2024 18:50:01 -0700

xen (4.19.0-1+deb13u3.2) trixie; urgency=medium

  * Non-maintainer upload.
  * full t64 build, still in transition


