## xen 4.19.4

=== debian/changelog ===
xen (4.19.4-1+ub22u04.3) jammy; urgency=medium

  * Non-maintainer upload.
  * HEAD @ 991f480a8f1246ae5
    x86/amd: Fold another DE_CFG edit into amd_init_de_cfg-Thu 29 Jan 2026 04:49
  - XSA-477
    0009-x86-shadow-don-t-overrun-trace_emul_write_val.diff:This is XSA-477 / CVE-2025-58150.
  - XSA-479
    0010-x86-spec-ctrl-Fix-incomplete-IBPB-flushing-during-con.diff:This is XSA-479 / CVE-2026-23553

 -- Mark Pryor <pryorm09@gmail.com>  Fri, 30 Jan 2026 10:51:17 -0800

xen (4.19.4-1+ub22u04.2) jammy; urgency=medium

  * Non-maintainer upload.
  * qemuu: revert to v8.1.0
    support vnc in pv domU

 -- Mark Pryor <pryorm09@gmail.com>  Tue, 06 Jan 2026 10:12:00 -0800

xen (4.19.4-1+ub22u04.1) jammy; urgency=medium

  * HEAD @ ac1c1fb9e890da2f
    update Xen version to 4.19.4-Thu 4 Dec 2025 01:51
  - initial build
  * XSA-475
    0030-x86-viridian-Enforce-bounds-check-in-vpmask_set.diff:This is XSA-475 / CVE-2025-58147.
    0031-x86-viridian-Enforce-bounds-check-in-send_ipi.diff:This is XSA-475 / CVE-2025-58148.
  * XSA-476
    0033-tools-libs-light-fix-BAR-memory-address-truncation.diff:This is XSA-476 / CVE-2025-58149.

 -- Mark Pryor <pryorm09@gmail.com>  Thu, 04 Dec 2025 12:41:18 -0800

xen (4.19.3-1+ub22u04.3) jammy; urgency=medium

  * Non-maintainer upload.
  * HEAD @ c0a1a4ccba6cffd1ec
    CI: Create initrd fragments explicitly as root-Wed 10 Sep 2025 09:20
  * XSA-472
    0014-x86-viridian-avoid-NULL-pointer-dereference-in-update.diff:This is CVE-2025-27466 / part of XSA-472.
    0015-x86-viridian-avoid-NULL-pointer-dereference-in-viridi.diff:This is CVE-2025-58142 / part of XSA-472.
    0016-x86-viridian-protect-concurrent-modification-of-the-r.diff:This is CVE-2025-58143 / part of XSA-472.
  * XSA-473
    0017-Arm-foreign-page-handling-in-p2m_get_page_from_gfn.diff:This is CVE-2025-58144 / part of XSA-473.
    0018-Arm-adjust-locking-in-p2m_get_page_from_gfn.diff:This is CVE-2025-58145 / part of XSA-473.

 -- Mark Pryor <pryorm09@gmail.com>  Thu, 02 Oct 2025 11:01:08 -0700

xen (4.19.3-1+ub22u04.2) jammy; urgency=medium

  * Non-maintainer upload.
  * HEAD @ dabd719321b652
    x86/gen-cpuid: Fix debugging for cycle detection-Wed 3 Sep 2025 05:08

 -- Mark Pryor <pryorm09@gmail.com>  Thu, 04 Sep 2025 11:16:54 -0700

xen (4.19.3-1+ub22u04.1) jammy; urgency=medium

  * HEAD @ 077419f04a3125c58dc
    update Xen version to 4.19.3-Mon 4 Aug 2025 08:20
  * initial build 4.19.3

 -- Mark Pryor <pryorm09@gmail.com>  Wed, 06 Aug 2025 12:20:30 -0700

xen (4.19.2-1+ub22u04.3) jammy; urgency=medium

  * Non-maintainer upload.
  * HEAD @ b026848daf3cca7a4e1
    x86/idle: undo use of MONITOR/MWAIT mnemonics-Wed 9 Jul 2025 03:18
  * XSA-471
    0087-x86-ucode-Digests-for-TSA-microcode.diff:This is part of XSA-471 / CVE-2024-36350 / CVE-2024-36357.
    0088-x86-idle-Rearrange-VERW-and-MONITOR-in-mwait_idle_wit.diff:This is part of XSA-471 / CVE-2024-36350 / CVE-2024-36357.
    0089-x86-spec-ctrl-Mitigate-Transitive-Scheduler-Attacks.diff:This is part of XSA-471 / CVE-2024-36350 / CVE-2024-36357.
  * XSA-470
    0069-x86-emul-Fix-extable-registration-in-invoke_stub.diff:This is XSA-470 / CVE-2025-27465
  * XSA-469
    0048-x86-guest-Remove-use-of-the-Xen-hypercall_page.diff:This is part of XSA-469 / CVE-2024-28956
    0049-x86-thunk-Mis-align-__x86_indirect_thunk_-to-mitigate.diff:This is part of XSA-469 / CVE-2024-28956
    0050-x86-thunk-Mis-align-the-RETs-in-clear_bhb_loops-to-mi.diff:This is part of XSA-469 / CVE-2024-28956
    0051-x86-stubs-Introduce-place_ret-to-abstract-away-raw-0x.diff:This is part of XSA-469 / CVE-2024-28956
    0052-x86-thunk-Build-Xen-with-Return-Thunks.diff:This is part of XSA-469 / CVE-2024-28956
    0053-x86-spec-ctrl-Synthesise-ITS_NO-to-guests-on-unaffect.diff:This is part of XSA-469 / CVE-2024-28956
  * d/scripts: various repair plus fix py3 shebang
  * d/control: xen-perf-hypervisor, new package
 
 -- Mark Pryor <pryorm09@gmail.com>  Mon, 21 Jul 2025 13:51:28 -0700

xen (4.19.2-1+ub22u04.2) jammy; urgency=medium

  * Non-maintainer upload.
  * HEAD @ cd0fa8381d3389f2
    xen: remove -N from the linker command line-Tue, 29 Apr 2025 02:58

 -- Mark Pryor <pryorm09@gmail.com>  Wed, 30 Apr 2025 17:30:04 -0700

xen (4.19.2-1+ub22u04.1) jammy; urgency=medium

  * HEAD @ f3362182e028119e
    update Xen version to 4.19.2-Fri 4 Apr 2025 03:47
  * intial build of 4.19.2

 -- Mark Pryor <pryorm09@gmail.com>  Fri, 04 Apr 2025 13:17:59 -0700

xen (4.19.1-1+ub22u04.4) jammy; urgency=medium

  * Non-maintainer upload.
  * HEAD @ ce591a92ca50d2b88
    xen/arinc653: call xfree with local IRQ enabled-Thu 20 Mar 2025 05:21

 -- Mark Pryor <pryorm09@gmail.com>  Sun, 23 Mar 2025 11:12:26 -0700

xen (4.19.1-1+ub22u04.3) jammy; urgency=medium

  * Non-maintainer upload.
  * initial jammy build, ported from Noble

 -- Mark Pryor <pryorm09@gmail.com>  Sat, 08 Mar 2025 12:27:43 -0800

xen (4.19.1-1+ub24u04.3) noble; urgency=medium

  * Non-maintainer upload.
  * HEAD @ f2c5b4b1aa1972b5
    IOMMU/x86: the bus-to-bridge lock needs to be acquired IRQ-safe-Thu 27 Feb 2025 04:59
  * XSA-467
    0035-IOMMU-x86-the-bus-to-bridge-lock-needs-to-be-acquired.diff:This is XSA-467 / CVE-2025-1713.
  * qemuu v9.1.0
  * out-of-transistion, no more t64 names

 -- Mark Pryor <pryorm09@gmail.com>  Sat, 08 Mar 2025 12:27:43 -0800

xen (4.19.1-1+ub24u04.2) noble; urgency=medium

  * Non-maintainer upload.
  * HEAD @ 4803a3c5b5f1f131bd8
    xen/events: fix race with set_global_virq_handler-Tue 21 Jan 2025 00:21

 -- Mark Pryor <pryorm09@gmail.com>  Sun, 09 Feb 2025 13:26:56 -0800

xen (4.19.1-1+ub24u04.1) noble; urgency=medium

  * HEAD @ ccf400846780289ae779
    update Xen version to 4.19.1-Tue 3 Dec 2024 23:52
  * qemuu: v8.0.5

 -- Mark Pryor <pryorm09@gmail.com>  Sat, 14 Dec 2024 15:42:48 -0800

xen (4.19.0-1+ub24u04.4) noble; urgency=medium

  * Non-maintainer upload.
  * HEAD @ 6a0ef94a8fcd7dfb0
    x86/mm: ensure L2 is always freed if empty-Mon 25 Nov 2024 03:03
  * XSA-463

