=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>, Ian Jackson <ian.jackson@eu.citrix.com>
-Standards-Version: 4.6.0
-Build-Depends: autotools-dev, debhelper-compat (=13), debhelper (>>13), dpkg-dev (>= 1.16.0~), lsb-release, python3-dev, python3-lxml, pandoc, bison, flex, bcc [i386 amd64], gcc-multilib [i386 amd64], e2fslibs-dev, iasl, seabios (>= 1.7.4-2~) [i386 amd64], libaio-dev, libfdt-dev [armhf arm64 amd64], libglib2.0-dev, liblzma-dev, libncurses5-dev, libpixman-1-dev, libyajl-dev, pkg-config, uuid-dev, zlib1g-dev, libfile-fcntllock-perl, dh-python, dh-strip-nondeterminism, dh-buildinfo, libsystemd-dev, figlet, libnl-3-dev, libnl-route-3-200, libnl-route-3-dev, checkpolicy, libnuma-dev, ghostscript, libbz2-dev, device-tree-compiler, texinfo, python3-markdown, texi2html, fig2dev, liblz4-dev, acpica-tools, libasound2-dev [linux-any], libattr1-dev, libbrlapi-dev, ninja-build, meson, libfuse3-dev, libkeyutils-dev, libcapstone-dev, libzstd-dev, python3-sphinx-rtd-theme, python3-sphinx, libglusterfs-dev, libiscsi-dev, libvirglrenderer-dev, libslirp-dev, slirp, libcap-dev [linux-any], libcap-ng-dev [linux-any], libcurl4-gnutls-dev, librdmacm-dev, liburing-dev [linux-any], libibverbs-dev, libibumad-dev, libfabric-dev, libgbm-dev, gnutls-dev, libiscsi-dev (>> 1.9.0~), libncursesw5-dev, libnfs-dev (>> 1.9.3), libcacard-dev, libpulse-dev, librados-dev [linux-any], librbd-dev [linux-any], libsasl2-dev, libsdl2-dev, libsdl2-image-dev, libseccomp-dev (>> 2.1.0) [linux-amd64 linux-i386], libspice-server-dev (>= 0.12.2~) [linux-amd64 linux-i386], libspice-protocol-dev (>= 0.12.3~) [linux-amd64 linux-i386], libusb-1.0-0-dev (>= 2:1.0.13~) [linux-any], libusbredirparser-dev (>= 0.6~) [linux-any], libssh-dev, libvdeplug-dev, libx11-dev, xfslibs-dev [linux-any], libjpeg-dev, libpng-dev, libpci3, python3-venv, liblzo2-2, liblzo2-dev, libsdl1.2debian, libsdl1.2-dev, ipxe-qemu, dbus-daemon,git
-XS-Python-Version: 3.11, 3.12, 3.13
-XS-X-Python3-Version: >= 3.13
+Standards-Version: 4.6.2
+Build-Depends: autotools-dev, debhelper-compat (=13), debhelper (>>13),  dpkg-dev (>= 1.16.0~), lsb-release, python3-dev, python3-lxml, pandoc, bison, flex, bcc [i386 amd64], gcc-multilib [i386 amd64], e2fslibs-dev, iasl, seabios (>= 1.7.4-2~) [i386 amd64], libaio-dev, libfdt-dev [armhf arm64 amd64], libglib2.0-dev, liblzma-dev, libncurses5-dev, libpixman-1-dev, libyajl-dev, pkg-config, uuid-dev, zlib1g-dev, libfile-fcntllock-perl, dh-python, dh-strip-nondeterminism, dh-buildinfo, libsystemd-dev, figlet, libnl-3-dev, libnl-route-3-200, libnl-route-3-dev, checkpolicy, libnuma-dev, ghostscript, libbz2-dev, device-tree-compiler, texinfo, python3-markdown, texi2html, fig2dev, liblz4-dev, acpica-tools, libasound2-dev [linux-any], libattr1-dev, libbrlapi-dev, ninja-build, meson, libfuse3-dev, libkeyutils-dev, libcapstone-dev, libzstd-dev, python3-sphinx-rtd-theme, python3-sphinx, libglusterfs-dev, libiscsi-dev, libvirglrenderer-dev, libslirp-dev, slirp, libcap-dev [linux-any], libcap-ng-dev [linux-any], libcurl4-gnutls-dev, librdmacm-dev, liburing-dev [linux-any], libibverbs-dev, libibumad-dev, libfabric-dev, libgbm-dev, gnutls-dev, libiscsi-dev (>> 1.9.0~), libncursesw5-dev, libnfs-dev (>> 1.9.3), libcacard-dev, libpulse-dev, librados-dev [linux-any], librbd-dev [linux-any], libsasl2-dev, libsdl2-dev, libsdl2-image-dev, libseccomp-dev (>> 2.1.0) [linux-amd64 linux-i386], libspice-server-dev (>= 0.12.2~) [linux-amd64 linux-i386], libspice-protocol-dev (>= 0.12.3~) [linux-amd64 linux-i386], libusb-1.0-0-dev (>= 2:1.0.13~) [linux-any], libusbredirparser-dev (>= 0.6~) [linux-any], libssh-dev, libvdeplug-dev, libx11-dev, xfslibs-dev [linux-any], libjpeg-dev, libpng-dev, libpci3, python3-venv, liblzo2-2, liblzo2-dev, libsdl1.2debian, libsdl1.2-dev, ipxe-qemu,git,libbpf-dev,libbpf0,dbus-daemon, libpmem-dev, nettle-dev
+XS-Python-Version: 3.9, 3.10, 3.11
+XS-X-Python3-Version: >= 3.10
 
 Package: libxenmisc4.19
 Architecture: amd64 arm64 armhf i386
@@ -16,27 +16,27 @@
  This package contains the shared toolstack libraries for Xen.
 Multi-Arch: same
 
+Package: libxenfsutl4.19
+Architecture: amd64 arm64 armhf i386
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: xen-utils-4.19 companion libs
+ This package contains a depends to XenStore.  .
+Multi-Arch: same
+
 Package: libxenstore4.0
-Architecture: amd64 arm64 armhf i386
-Section: libs
+Section: libs
+Architecture: amd64 arm64 armhf i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxentoolcore1 (= ${binary:Version})
 Description: Xenstore communications library for Xen
  This package contains the client library interface to XenStore.  .
 Multi-Arch: same
 
 Package: libxentoolcore1
-Architecture: amd64 arm64 armhf i386
-Section: libs
+Section: libs
+Architecture: amd64 arm64 armhf i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: helper for qemu & libxenstore
- This package contains a depends to XenStore.  .
-Multi-Arch: same
-
-Package: libxenfsutl4.19
-Architecture: amd64 arm64 armhf i386
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: xen-utils-4.19 companion libs
  This package contains a depends to XenStore.  .
 Multi-Arch: same
 
@@ -94,7 +94,7 @@
 Package: xen-utils-4.19
 Architecture: amd64 arm64 armhf i386
 Provides: xen-utils
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= ${source:Version}), libxenfsutl4.19 (>= ${source:Version})
 Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-4.19, qemuu
 Suggests: seabios [i386 amd64], grub-xen-host [i386 amd64]
 Description: XEN administrative tools
@@ -109,7 +109,7 @@
 Section: admin
 Provides: qemu-system-i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: qemu-system-i386 (9.1.0/xen-4.19) with 9pfs support
+Description: qemu-system-i386 (8.1.0/xen-4.19) with 9pfs support
  Warning: This is a custom testing build of Xen.
 Installed-Size: $(du -ks deb | cut -f1)
 
@@ -135,6 +135,22 @@
  In order to boot a XEN system along with this package you also need a
  kernel specifically crafted to work as the Domain 0, mediating hardware
  access for XEN itself.
+
+
+Package: xen-perf-hypervisor-4.19-amd64
+Architecture: amd64
+Provides: xen-perf-hypervisor, xen-perf-hypervisor-4.19, xen-perf-hypervisor-amd64
+Depends: ${misc:Depends}
+Recommends: xen-utils-4.19
+Description: Xen Perf-Hypervisor on AMD64
+ The perf-hypervisor is for debug/perf.  It gets booted by the boot
+ loader and controls cpu and memory, sharing them between your
+ administrative domain (Domain 0) and the virtual guest systems.
+ .
+ In order to boot a XEN system along with this package you also need a
+ kernel specifically crafted to work as the Domain 0, mediating hardware
+ access for XEN itself.
+
 
 Package: xen-system-amd64
 Architecture: amd64 i386
@@ -188,16 +204,3 @@
  This package depends on the latest Xen hypervisor for use on ARMHF and the
  Xen utils.
 
-Package: xen-perf-hypervisor-4.19-amd64
-Architecture: amd64
-Provides: xen-perf-hypervisor, xen-perf-hypervisor-4.19, xen-perf-hypervisor-amd64
-Depends: ${misc:Depends}
-Recommends: xen-utils-4.19
-Description: Xen Perf-Hypervisor on AMD64
- The perf-hypervisor is for debug/perf.  It gets booted by the boot
- loader and controls cpu and memory, sharing them between your
- administrative domain (Domain 0) and the virtual guest systems.
- .
- In order to boot a XEN system along with this package you also need a
- kernel specifically crafted to work as the Domain 0, mediating hardware
- access for XEN itself.
